Bug 1385349 - [abrt] ibus: bus_panel_proxy_focus_in(): ibus-daemon killed by SIGABRT
Summary: [abrt] ibus: bus_panel_proxy_focus_in(): ibus-daemon killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5259055defe68f5e7f5fd8665be...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-16 12:09 UTC by donjoe
Modified: 2017-08-01 21:55 UTC (History)
4 users (show)

Fixed In Version: ibus-1.5.16-6.fc26 ibus-1.5.14-6.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-31 06:25:15 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.78 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: core_backtrace (9.59 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: dso_list (1.68 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: environ (996 bytes, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: maps (9.46 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: mountinfo (3.53 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: open_fds (1.54 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details
File: var_log_messages (239 bytes, text/plain)
2016-10-16 12:09 UTC, donjoe
no flags Details

Description donjoe 2016-10-16 12:09:02 UTC
Version-Release number of selected component:
ibus-1.5.13-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        ibus-daemon --xim --panel disable
crash_function: bus_panel_proxy_focus_in
executable:     /usr/bin/ibus-daemon
global_pid:     2638
kernel:         4.7.7-200.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 bus_panel_proxy_focus_in at panelproxy.c:700
 #5 _dbus_name_owner_changed_cb at ibusimpl.c:358
 #10 bus_name_service_remove_owner at dbusimpl.c:457
 #11 bus_dbus_impl_connection_destroy_cb at dbusimpl.c:1648
 #16 ibus_object_dispose at ibusobject.c:135
 #18 ffi_call_unix64 at ../src/x86/unix64.S:76
 #19 ffi_call at ../src/x86/ffi64.c:525
 #20 g_cclosure_marshal_generic at gclosure.c:1490
 #25 emit_closed_in_idle at gdbusconnection.c:1357
 #30 bus_server_run at server.c:143

Potential duplicate: bug 1292973

Comment 1 donjoe 2016-10-16 12:09:09 UTC
Created attachment 1210952 [details]
File: backtrace

Comment 2 donjoe 2016-10-16 12:09:11 UTC
Created attachment 1210953 [details]
File: cgroup

Comment 3 donjoe 2016-10-16 12:09:13 UTC
Created attachment 1210954 [details]
File: core_backtrace

Comment 4 donjoe 2016-10-16 12:09:14 UTC
Created attachment 1210955 [details]
File: dso_list

Comment 5 donjoe 2016-10-16 12:09:16 UTC
Created attachment 1210956 [details]
File: environ

Comment 6 donjoe 2016-10-16 12:09:18 UTC
Created attachment 1210957 [details]
File: limits

Comment 7 donjoe 2016-10-16 12:09:20 UTC
Created attachment 1210958 [details]
File: maps

Comment 8 donjoe 2016-10-16 12:09:21 UTC
Created attachment 1210959 [details]
File: mountinfo

Comment 9 donjoe 2016-10-16 12:09:23 UTC
Created attachment 1210960 [details]
File: namespaces

Comment 10 donjoe 2016-10-16 12:09:25 UTC
Created attachment 1210961 [details]
File: open_fds

Comment 11 donjoe 2016-10-16 12:09:26 UTC
Created attachment 1210962 [details]
File: proc_pid_status

Comment 12 donjoe 2016-10-16 12:09:28 UTC
Created attachment 1210963 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-07-25 23:30:03 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 fujiwara 2017-07-27 06:56:57 UTC
I added an enhancement for this bug.
Let's see if this bug is fixed in f25 or later.

Comment 15 Fedora Update System 2017-07-27 07:53:00 UTC
ibus-1.5.14-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 16 Fedora Update System 2017-07-27 07:53:25 UTC
ibus-1.5.16-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 17 Fedora Update System 2017-07-27 23:23:50 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c75f9d414a

Comment 18 Fedora Update System 2017-07-28 01:53:06 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e743d58478

Comment 19 Fedora Update System 2017-07-31 06:25:15 UTC
ibus-1.5.16-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-08-01 21:55:49 UTC
ibus-1.5.14-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.